
Foreman - Feature #13639

show permissions for hosts as part of show api

02/09/2016 10:18 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: API   

Target version: 1.11.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3169

  

Description

Clients to the foreman api may want to see what permissions the user has to that particular host.  One instance of where this is

useful is using the hosts api from the katello UI (which relies on the existing v2 apis).

Related issues:

Related to Foreman - Bug #15527: api/v2/hosts is slow to load permissions for... Closed 06/27/2016

Related to Foreman - Bug #26529: APIv2 host show permissions node is very slow New

Associated revisions

Revision 999d8e3e - 02/10/2016 07:01 AM - Justin Sherrill

Fixes #13639 - add host permissions to host show api

History

#1 - 02/09/2016 10:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3169 added

#2 - 02/10/2016 08:02 AM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 999d8e3edcb501d7b57c08244dd99ee4e77607b9.

#3 - 02/10/2016 09:40 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 06/28/2016 03:02 AM - Dominic Cleal

- Related to Bug #15527: api/v2/hosts is slow to load permissions for non-admins added

#5 - 04/03/2019 03:55 PM - Timo Goebel

- Related to Bug #26529: APIv2 host show permissions node is very slow added
